<?php
namespace Ak\View\Helper;

use Interop\Container\ContainerInterface;
use Laminas\ServiceManager\Factory\FactoryInterface;

/**
 * Stvara novu instancu AssetUrl ViewHelpera.
 *
 * @package Ep\View\Helper
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/view
 */
final class AssetUrlFactory implements FactoryInterface
{
    /**
     * Stvara ViewHelper.
     *
     * @param  ContainerInterface $container
     * @param  string $requestedName
     * @param  null|array $options
     *
     * @return AssetUrl
     *
     * @throws \Psr\Container\ContainerExceptionInterface
     * @throws \Psr\Container\NotFoundExceptionInterface
     */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        $config = $container->get('config')['view'] ?? [];

        return new AssetUrl(
            $config['asset_manifest'] ?? '',
            $config['asset_url'] ?? ''
        );
    }
}
