<?php
namespace AkTest\View;

use Ak\Test\AbstractTestCase as BaseAbstractTestCase;
use Ak\View\HelperPluginManager;

/**
 * Class AbstractTestCase
 *
 * @package AkTest\View
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/view
 */
abstract class AbstractTestCase extends BaseAbstractTestCase
{
    public $providers = [
        TestConfigProvider::class,
    ];

    /**
     * @param array $config
     * @return HelperPluginManager
     */
    protected function getHelperManager(array $config = []): HelperPluginManager
    {
        $container = $this->getContainer($config);
        return $container->get(HelperPluginManager::class);
    }

    /**
     * @param string $helper
     * @param array $config
     * @return callable
     */
    protected function getHelper(string $helper, array $config = []): callable
    {
        $manager = $this->getHelperManager($config);
        return $manager->get($helper);
    }
}
