<?php
namespace AkTest\View;

use Ak\Test\AbstractTestCase;
use Ak\View\ConfigProvider;
use Ak\View\HelperPluginManager;
use Laminas\View\Renderer\RendererInterface;

class HelperPluginManagerTest extends AbstractTestCase
{
    public $providers = [
        ConfigProvider::class,
    ];

    public function testIsRegistered()
    {
        $container = $this->getContainer();

        $this->assertTrue($container->has(HelperPluginManager::class));
        $this->assertInstanceOf(HelperPluginManager::class, $container->get(HelperPluginManager::class));
    }

    public function testRendererIsInjected()
    {
        $container = $this->getContainer();
        /** @var HelperPluginManager $manager */
        $manager = $container->get(HelperPluginManager::class);

        $this->assertInstanceOf(RendererInterface::class, $manager->getRenderer());
    }
}
