<?php
namespace AkTest\View;

use Ak\View\ConfigProvider;
use Laminas\ConfigAggregator\ArrayProvider;
use Laminas\ConfigAggregator\ConfigAggregator;

/**
 * Class TestConfigProvider
 *
 * @package AkTest\View
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/view
 */
final class TestConfigProvider
{
    public function __invoke()
    {
        return (new ConfigAggregator([
            \Blast\BaseUrl\ConfigProvider::class,
            ConfigProvider::class,
            new ArrayProvider([
                'view' => [
                    'asset_manifest' => __DIR__ . '/dist/manifest.json',
                    'asset_url' => '',
                    'script_paths' => [
                        __DIR__ . '/view',
                    ],
                ],
            ])
        ]))->getMergedConfig();
    }
}
